/*
 * Copyright 2006 the original author or authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.livetribe.slp.spi.net;

/**
 * Thrown when an SLP message length is bigger than some configurable parameter.
 * Avoids that the client sends a valid SLP message header with a huge length.
 *
 * @version $Rev: 46 $ $Date: 2006-03-24 19:10:49 +0100 (Fri, 24 Mar 2006) $
 */
public class MessageTooBigException extends RuntimeException
{
    public MessageTooBigException()
    {
    }

    public MessageTooBigException(String message)
    {
        super(message);
    }

    public MessageTooBigException(Throwable cause)
    {
        super(cause);
    }

    public MessageTooBigException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
